return {
  'AstroNvim/astrotheme',
  lazy = false,
  priority = 1000,
  config = function()
    local C = require('astrotheme.palettes.astrodark')
    require('astrotheme').setup({
      palette = 'astrodark',   -- String of the default palette to use when calling `:colorscheme astrotheme`

      termguicolors = true,    -- Bool value, toggles if termguicolors are set by AstroTheme.

      terminal_color = true,   -- Bool value, toggles if terminal_colors are set by AstroTheme.

      plugin_default = 'auto', -- Sets how all plugins will be loaded
      -- "auto": Uses lazy / packer enabled plugins to load highlights.
      -- true: Enables all plugins highlights.
      -- false: Disables all plugins.

      plugins = { -- Allows for individual plugin overides using plugin name and value from above.
        -- ['lualine'] = true,
      },

      palettes = {
        global = {
        },
        astrodark = {
        },
      },
      highlights = {
        global = {
          modify_hl_groups = function(hl, c)
          end,
        },
        astrodark = {
          modify_hl_groups = function(hl, c) -- modify_hl_groups function allows you to modify hl groups,
            hl.Type = { fg = c.Yellow }
            hl.Comment = { italic = true }
          end,
          ['@lsp.mod.readonly'] = { bold = true },
          ['@lsp.type.namespace.cpp'] = { fg = C.rb },
          ['@lsp.type.variable'] = { fg = C.text },
          ['@lsp.type.enumMember'] = { fg = C.cyan },
          ['Comment'] = { italic = true },
          ['Type'] = { fg = C.dark_orange },
          ['Structure'] = { link = 'Type' },
          ['Constant'] = { fg = 'NONE' },
          ['@parameter'] = { fg = C.purple },
        }
      }
    })
    vim.cmd('colorscheme astrodark')
  end,
  enabled = true
}
